- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# ThreadEngineBase Class Reference

Search for all occurrences

## Detailed Description

Definition at line 97 of file qtconcurrentthreadengine.h.

`#include <qtconcurrentthreadengine.h>`

Inheritance diagram for ThreadEngineBase:
[legend]

List of all members.

## Public Member Functions
| ThreadEngineBase ()
virtual | ~ThreadEngineBase ()
void | startSingleThreaded ()
void | startBlocking ()
void | startThread ()
bool | isCanceled ()
void | waitForResume ()
bool | isProgressReportingEnabled ()
void | setProgressValue (int progress)
void | setProgressRange (int minimum, int maximum)
void | acquireBarrierSemaphore ()
## Protected Member Functions
virtual void | start ()
virtual void | finish ()
virtual ThreadFunctionResult | threadFunction ()
virtual bool | shouldStartThread ()
virtual bool | shouldThrottleThread ()
## Protected Attributes
QFutureInterfaceBase * | futureInterface
QThreadPool * | threadPool
ThreadEngineBarrier | barrier
QtConcurrent::internal::ExceptionStore | exceptionStore

## Constructor & Destructor Documentation

ThreadEngineBase | ( |  | ) |

virtual ~ThreadEngineBase | ( |  | ) | `[virtual]`

## Member Function Documentation

void startSingleThreaded | ( |  | ) |

Search for all occurrences

Reimplemented in ThreadEngine< T >, ThreadEngine< void >, ThreadEngine< qValueType< Iterator >::value_type >, ThreadEngine< ReducedResultType >, and ThreadEngine< MapFunctor::result_type >.

void startBlocking | ( |  | ) |

Search for all occurrences

Reimplemented in ThreadEngine< T >, ThreadEngine< void >, ThreadEngine< qValueType< Iterator >::value_type >, ThreadEngine< ReducedResultType >, and ThreadEngine< MapFunctor::result_type >.

void startThread | ( |  | ) |

Search for all occurrences

bool isCanceled | ( |  | ) |

Search for all occurrences

void waitForResume | ( |  | ) |

Search for all occurrences

bool isProgressReportingEnabled | ( |  | ) |

Search for all occurrences

void setProgressValue | ( | int | progress | ) |

Search for all occurrences

void setProgressRange | ( | int | minimum,
|  | int | maximum
| ) |  |

Search for all occurrences

void acquireBarrierSemaphore | ( |  | ) |

Search for all occurrences

virtual void start | ( |  | ) | `[inline, protected, virtual]`

Search for all occurrences

Reimplemented in FilteredEachKernel< Iterator, KeepFunctor >, IterateKernel< Iterator, T >, IterateKernel< Iterator, void >, IterateKernel< Iterator, MapFunctor::result_type >, IterateKernel< Iterator, qValueType< Iterator >::value_type >, IterateKernel< Sequence::const_iterator, void >, and IterateKernel< Iterator, ReducedResultType >.

Definition at line 114 of file qtconcurrentthreadengine.h.

    {}

virtual void finish | ( |  | ) | `[inline, protected, virtual]`

Search for all occurrences

Reimplemented in FilterKernel< Sequence, KeepFunctor, ReduceFunctor >, FilteredReducedKernel< ReducedResultType, Iterator, KeepFunctor, ReduceFunctor, Reducer >, and MappedReducedKernel< ReducedResultType, Iterator, MapFunctor, ReduceFunctor, Reducer >.

Definition at line 115 of file qtconcurrentthreadengine.h.

    {}

virtual ThreadFunctionResult threadFunction | ( |  | ) | `[inline, protected, virtual]`

Search for all occurrences

Reimplemented in IterateKernel< Iterator, T >, IterateKernel< Iterator, void >, IterateKernel< Iterator, MapFunctor::result_type >, IterateKernel< Iterator, qValueType< Iterator >::value_type >, IterateKernel< Sequence::const_iterator, void >, and IterateKernel< Iterator, ReducedResultType >.

Definition at line 116 of file qtconcurrentthreadengine.h.

    { return ThreadFinished; }

virtual bool shouldStartThread | ( |  | ) | `[inline, protected, virtual]`

Search for all occurrences

Reimplemented in FilterKernel< Sequence, KeepFunctor, ReduceFunctor >, FilteredReducedKernel< ReducedResultType, Iterator, KeepFunctor, ReduceFunctor, Reducer >, IterateKernel< Iterator, T >, MappedReducedKernel< ReducedResultType, Iterator, MapFunctor, ReduceFunctor, Reducer >, IterateKernel< Iterator, void >, IterateKernel< Iterator, MapFunctor::result_type >, IterateKernel< Iterator, qValueType< Iterator >::value_type >, IterateKernel< Sequence::const_iterator, void >, and IterateKernel< Iterator, ReducedResultType >.

Definition at line 117 of file qtconcurrentthreadengine.h.

    { return futureInterface ? !futureInterface->isPaused() : true; }

virtual bool shouldThrottleThread | ( |  | ) | `[inline, protected, virtual]`

Search for all occurrences

Reimplemented in FilterKernel< Sequence, KeepFunctor, ReduceFunctor >, FilteredReducedKernel< ReducedResultType, Iterator, KeepFunctor, ReduceFunctor, Reducer >, and MappedReducedKernel< ReducedResultType, Iterator, MapFunctor, ReduceFunctor, Reducer >.

Definition at line 118 of file qtconcurrentthreadengine.h.

    { return futureInterface ? futureInterface->isPaused() : false; }

## Member Data Documentation

QFutureInterfaceBase* futureInterface `[protected]`

Search for all occurrences

Definition at line 130 of file qtconcurrentthreadengine.h.

QThreadPool* threadPool `[protected]`

Search for all occurrences

Definition at line 131 of file qtconcurrentthreadengine.h.

ThreadEngineBarrier barrier `[protected]`

Search for all occurrences

Definition at line 132 of file qtconcurrentthreadengine.h.

QtConcurrent::internal::ExceptionStore exceptionStore `[protected]`

Search for all occurrences

Definition at line 133 of file qtconcurrentthreadengine.h.

The documentation for this class was generated from the following file:

- QtCore/qtconcurrentthreadengine.h

ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase
ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase ThreadEngineBase